# gdcm::ImageWriter Class Reference

ImageWriter. More...

`#include <gdcmImageWriter.h>`

Inheritance diagram for gdcm::ImageWriter:
[legend]
Collaboration diagram for gdcm::ImageWriter:
[legend]

List of all members.

## Public Member Functions
| ImageWriter ()
| ~ImageWriter ()
Image & | GetImage ()
const Image & | GetImage () const
bool | Write ()
| Write.

## Detailed Description

ImageWriter.

Examples:

  CompressImage.cxx, CreateARGBImage.cxx, CreateCMYKImage.cxx, csa2img.cxx, GenFakeImage.cxx, HelloVizWorld.cxx, and MergeTwoFiles.cxx.

## Constructor & Destructor Documentation

gdcm::ImageWriter::ImageWriter | ( |  | ) |

gdcm::ImageWriter::~ImageWriter | ( |  | ) |

## Member Function Documentation

Image& gdcm::ImageWriter::GetImage | ( |  | ) | `[inline, virtual]`

Reimplemented from gdcm::PixmapWriter.

const Image& gdcm::ImageWriter::GetImage | ( |  | ) | const`[inline, virtual]`

Set/Get Image to be written It will overwrite anything Image infos found in DataSet (see parent class to see how to pass dataset)

Reimplemented from gdcm::PixmapWriter.

Examples:
  CreateARGBImage.cxx, CreateCMYKImage.cxx, and csa2img.cxx.

bool gdcm::ImageWriter::Write | ( |  | ) | `[virtual]`

Write.

Reimplemented from gdcm::PixmapWriter.

Examples:
  CompressImage.cxx, CreateARGBImage.cxx, CreateCMYKImage.cxx, csa2img.cxx, GenFakeImage.cxx, HelloVizWorld.cxx, and MergeTwoFiles.cxx.

The documentation for this class was generated from the following file:

- gdcmImageWriter.h